<%@ page language="java" import="java.util.*" errorPage="error.jsp"%>
<html>
<head>
<title>Monitoring Options</title>
<jsp:useBean id="em" scope="session" class="EntrakMain"/>
<jsp:useBean id="mcpm" scope="session" class="MainControlPanel_Map"/>

<script LANGUAGE="JavaScript">
<!--
function popWin(the_page,the_target,the_width,the_height) {
		window.open(the_page,the_target,"status=no,menubar=no,scrollbars=no,resizable=no,width=" + the_width + ",height=" + the_height);
}
//-->
</script>
<script LANGUAGE="JavaScript">
<!--
function popwin(aPage, aTarget, w, h, var1, var2){
        window.open(aPage,aTarget,'status=no,top=0,left=0,scrollbars=' +((var1=='scroll' || var2=='scroll')? 'yes' : 'no')+ ',resizable=' +((var1=='resize' || var2=='resize')? 'yes' : 'no')+ ',width='+w+',height='+h);
}
//-->
</script>
<script LANGUAGE="JavaScript">
    <!--- Hide script from old browsers

    // This function gets the URL of the right frame
        function getMapURL() {
            var mapURL=""+parent.detailFrame.location.href;
            return mapURL;
    }// end script hiding from old browsers -->

</script>
<script LANGUAGE="JavaScript">

  function openWin(aPage, aTarget, w, h, var1, var2) {
    	window.open(aPage,aTarget,'status=yes,top=0,left=0,dependent=yes, menubar=no, scrollbars=' +((var1=='scroll' || var2=='scroll')? 'yes' : 'no')+ ',resizable=' +((var1=='resize' || var2=='resize')? 'yes' : 'no')+ ',width='+w+',height='+h);    		
   }



</script>
<script LANGUAGE="JavaScript">


    //Global window number
  


    function openEPM(aPage, aTarget, w, h, var1, var2) {
     winNum = 0;
     profileWinNum = 0;

    //Global window name
     profileWin = new Array();
    //profileWin = "";
     imgWin = new Array();
	 
        if(profileWin[profileWinNum] == null) {
       
            var mapURL=""+parent.detailFrame.location.href;
            var p=""+aPage+"?mapURL="+mapURL;
            profileWin[profileWinNum] = window.open(p,aTarget+"_"+profileWinNum.toString(),'status=yes,top=0,left=0,dependent=yes, menubar=no, scrollbars=' +((var1=='scroll' || var2=='scroll')? 'yes' : 'no')+ ',resizable=' +((var1=='resize' || var2=='resize')? 'yes' : 'no')+ ',width='+w+',height='+h);
            
            profileWinNum++;
        }//
        else {
           
        }//else
    }//



</script>
<script LANGUAGE="JavaScript">

    function openCPM(aPage, aTarget, w, h, var1, var2) {
    //Global window number
    winNum = 0;
    profileWinNum = 0;

    //Global window name
    profileWin = new Array();
    //profileWin = "";
    imgWin = new Array();
        if(profileWin[profileWinNum] == null) {

        //if(profileWin.name == null) {

            var mapURL=""+parent.detailFrame.location.href;
            var p=""+aPage+"?mapURL="+mapURL;
            profileWin[profileWinNum] = window.open(p,aTarget+"_"+profileWinNum.toString(),'status=yes,top=0,left=0,dependent=yes, menubar=no, scrollbars=' +((var1=='scroll' || var2=='scroll')? 'yes' : 'no')+ ',resizable=' +((var1=='resize' || var2=='resize')? 'yes' : 'no')+ ',width='+w+',height='+h);
            
            profileWinNum++;
        }//
        else {
            //if(profileWin[profileWinNum].name != null) {
                //profileWin[profileWinNum].focus();
                //profileWin.focus();
            //}
        }//else
    }//



</script>
<script LANGUAGE="JavaScript">
<!--

function underConstruction() {
        alert("This option is under construction");
    } //

function MM_preloadImages() { //v3.0
  var d=document; if(d.images){ if(!d.MM_p) d.MM_p=new Array();
    var i,j=d.MM_p.length,a=MM_preloadImages.arguments; for(i=0; i<a.length; i++)
    if (a[i].indexOf("#")!=0){ d.MM_p[j]=new Image; d.MM_p[j++].src=a[i];}}
}

function MM_findObj(n, d) { //v4.0
  var p,i,x;  if(!d) d=document; if((p=n.indexOf("?"))>0&&parent.frames.length) {
    d=parent.frames[n.substring(p+1)].document; n=n.substring(0,p);}
  if(!(x=d[n])&&d.all) x=d.all[n]; for (i=0;!x&&i<d.forms.length;i++) x=d.forms[i][n];
  for(i=0;!x&&d.layers&&i<d.layers.length;i++) x=MM_findObj(n,d.layers[i].document);
  if(!x && document.getElementById) x=document.getElementById(n); return x;
}

function MM_nbGroup(event, grpName) { //v3.0
  var i,img,nbArr,args=MM_nbGroup.arguments;
  if (event == "init" && args.length > 2) {
    if ((img = MM_findObj(args[2])) != null && !img.MM_init) {
      img.MM_init = true; img.MM_up = args[3]; img.MM_dn = img.src;
      if ((nbArr = document[grpName]) == null) nbArr = document[grpName] = new Array();
      nbArr[nbArr.length] = img;
      for (i=4; i < args.length-1; i+=2) if ((img = MM_findObj(args[i])) != null) {
        if (!img.MM_up) img.MM_up = img.src;
        img.src = img.MM_dn = args[i+1];
        nbArr[nbArr.length] = img;
    } }
  } else if (event == "over") {
    document.MM_nbOver = nbArr = new Array();
    for (i=1; i < args.length-1; i+=3) if ((img = MM_findObj(args[i])) != null) {
      if (!img.MM_up) img.MM_up = img.src;
      img.src = (img.MM_dn && args[i+2]) ? args[i+2] : args[i+1];
      nbArr[nbArr.length] = img;
    }
  } else if (event == "out" ) {
    for (i=0; i < document.MM_nbOver.length; i++) {
      img = document.MM_nbOver[i]; img.src = (img.MM_dn) ? img.MM_dn : img.MM_up; }
  } else if (event == "down") {
    if ((nbArr = document[grpName]) != null)
      for (i=0; i < nbArr.length; i++) { img=nbArr[i]; img.src = img.MM_up; img.MM_dn = 0; }
    document[grpName] = nbArr = new Array();
    for (i=2; i < args.length-1; i+=2) if ((img = MM_findObj(args[i])) != null) {
      if (!img.MM_up) img.MM_up = img.src;
      img.src = img.MM_dn = args[i+1];
      nbArr[nbArr.length] = img;
  } }
}

function MM_swapImgRestore() { //v3.0
  var i,x,a=document.MM_sr; for(i=0;a&&i<a.length&&(x=a[i])&&x.oSrc;i++) x.src=x.oSrc;
}

function MM_swapImage() { //v3.0
  var i,j=0,x,a=MM_swapImage.arguments; document.MM_sr=new Array; for(i=0;i<(a.length-2);i+=3)
   if ((x=MM_findObj(a[i]))!=null){document.MM_sr[j++]=x; if(!x.oSrc) x.oSrc=x.src; x.src=a[i+2];}
}
//-->
</script>
</head>
<body BGCOLOR="#FFFFFF" TEXT="#000000" LINK="#000000" VLINK="#000000" ALINK="#000000" onLoad="MM_preloadImages('images/indoorenvmon3.gif','images/indoorenvmon2.gif','images/fuelusemon3.gif','images/fuelusemon2.gif','images/helpselected.gif','images/realtimemonitor1.gif','images/realtimemonitor2.gif','images/realtimemonitor3.gif')">
<font FACE="Arial, Helvetica, sans-serif" SIZE="2" COLOR="#FFFFFF"></font> 



<script>
    openWin("RealTimeFrame.jsp","newWin",650, 450,"resize","resize");
</script>



<table WIDTH="140" BORDER="0" CELLSPACING="0" CELLPADDING="0" ALIGN="CENTER">
  <tr>
	<td> 
	  <table BORDER="0" CELLPADDING="0" CELLSPACING="0">	
	    <!--tr>   <td>
		<form><input type="button" value="Test Connection" onClick="window.location.href='RealTimeFrame.jsp'" TARGET="monitoringright"  ></form>		
		</tr-->
		
		<tr> 
		<td>   <br></td>
		
	   	</tr>
		
			
		<tr> 
		  <td><a HREF="IndoorEnv.jsp" onClick="MM_nbGroup('down','group1','indoorenvmon','images/indoorenvmon3.gif',1)" onMouseOver="MM_nbGroup('over','indoorenvmon','images/indoorenvmon2.gif','images/indoorenvmon3.gif',1)" onMouseOut="MM_nbGroup('out')" TARGET="monitoringright"><img NAME="indoorenvmon" SRC="images/indoorenvmon.gif" BORDER="0" onLoad="" WIDTH="115" HEIGHT="40"></a></td>
		</tr>
		
    	 <tr> 
		  <td HEIGHT="20"> 
			<div ALIGN="RIGHT"></div>
		  </td>
		</tr>
	   	
		
		<tr> 
		  <td><a HREF="FuelUseFrame.jsp" onClick="MM_nbGroup('down','group1','fuelusemon','images/fuelusemon3.gif',1)" onMouseOver="MM_nbGroup('over','fuelusemon','images/fuelusemon2.gif','images/fuelusemon3.gif',1)" onMouseOut="MM_nbGroup('out')" TARGET="monitoringright"><img NAME="fuelusemon" SRC="images/fuelusemon.gif" BORDER="0" onLoad="" WIDTH="115" HEIGHT="26"></a></td>
		</tr>
	  </table>
	</td>
	<td WIDTH="45" ALIGN="RIGHT"> 
	  <table WIDTH="100%" BORDER="0" CELLSPACING="0" CELLPADDING="0">
		 
		
			<tr> 
		  <td HEIGHT="40"> 
			<div ALIGN="RIGHT"><a HREF="javascript:void(window.open('help/indoorenv.htm','newtarget','status=no,top=20,left=20,dependent=no,scrollbars=yes,resizable=no,width=400,height=500,menubar=no'));" onMouseOut="MM_swapImgRestore()" onMouseOver="MM_swapImage('Image8','','images/helpselected.gif',1)"><img NAME="Image8" BORDER="0" SRC="images/help.gif" WIDTH="20" HEIGHT="20"></a></div>
		  </td>
		</tr>
		<tr> 
		  <td HEIGHT="20"> 
			<div ALIGN="RIGHT"></div>
		  </td>
		</tr>
		
			 
		
		<tr> 
		  <td HEIGHT="26"> 
			<div ALIGN="RIGHT"><font FACE="Arial, Helvetica, sans-serif" SIZE="2"><a HREF="javascript:void(window.open('help/fueluse.htm','newtarget','status=no,top=20,left=20,dependent=no,scrollbars=yes,resizable=no,width=400,height=500,menubar=no'));" onMouseOut="MM_swapImgRestore()" onMouseOver="MM_swapImage('Image9','','images/helpselected.gif',1)"><img NAME="Image9" BORDER="0" SRC="images/help.gif" WIDTH="20" HEIGHT="20"></a></font></div>
		  </td>
		</tr>
	  </table>
	</td>
  </tr>
</table>
</body>
</html>






